Update document group

PATCH
https://example.kaiten.ru/api/latest/document-groups/{document_group_uid}
Path parameters
NameTypeReference
document_group_uidrequiredstringDocument group UID
Headers
NameValue
Content-Typeapplication/json
Attributes
schema
NameTypeConstraintsDescription
title
string
minLength: 1
maxLength: 256

Document group title

parent_entity_uid
string | null

Parent tree entity uid. Used to move document group in the tree

sort_order
number
minimum: 0
exclusiveMinimum: 0

Sort order

access
enum
[for_everyone,by_invite]

Document group access type

for_everyone_access_role_id
string | null

Role id for everyone access

hostname
string | null

Custom hostname for public site. Can contain only letters, numbers and «-», length 2–30 symbols, cannot end with «-»

redirect_url
string | null

Redirect URL

key
string | null

Unique document group key within company. Cannot be changed once set

icon_type
string | null

Icon type

icon_value
string | null

Icon value (icon name for material_icon type)

icon_color
integer | null

Icon color

hidden_on_public_site
boolean

Hide document group on public site

news_feed
boolean

Mark document group as news feed. Requires hostname to be set on this folder or one of its parent folders

index_document_uid
string | null

UID of the document to use as the home page for this folder. Requires hostname to be set on this folder. Document must be within the document group tree, not archived and not hidden on public site

Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
uid

string

Document group uid
id

integer

Document group id
title

string

Document group title
created

string

Create date
updated

string

Last update timestamp
archived

boolean

Document group archived flag
company_id

integer

Company id
author_id

integer

Author user id
parent_entity_uid

null | string

Parent tree entity uid
parent_group_idDeprecated: use
parent_entity_uid instead

null | string

Deprecated alias for parent_entity_uid
entity_type

string

Entity type. Always "document_group"
sort_order

number

Document group sort order
access

enum

Document group access type
for_everyone_access_role_id

null | string

Role id for everyone access
hostname

null | string

Custom hostname for public site
redirect_url

null | string

Redirect URL
key

null | string

Unique document group key within company
icon_type

null | string

Icon type. "material_icon" or null
icon_value

null | string

Icon value (icon name for material_icon type)
icon_color

null | integer

Icon color
public

boolean

Is document group publicly available (legacy field)
news_feed

boolean

Is document group marked as news feed
hidden_on_public_site

boolean

Document group is hidden on public site
path

string

Inner path to entity in tree
index_document_uid

null | string

UID of the document used as the home page for this folder
400
DescriptionResponse typeExample
Validation errorObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

402
DescriptionResponse typeExample
Feature is not supported by tariffObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
403
DescriptionResponse typeExample
ForbiddenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundResponse body does not exist

A schema has not been defined for this response code.

409
DescriptionResponse typeExample
Conflict — key already in use, hostname already in use, or unfinished key operationsObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
code

string

Error code (optional)
logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request PATCH \
  2       --url 'https://example.kaiten.ru/api/latest/document-groups/{document_group_uid}' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!